<?php

// Put your device token here (without spaces):
$deviceToken = $_POST['deviceToken'];

// Put your private key's passphrase here:
$passphrase = 'krukchat';

// Put your alert message here:
$badge = $_POST['badge'];
$message = $_POST['message'];
$sound = $_POST['sound'];
$sessionID= $_POST['sessionID'];
$notificationID = $_POST['notificationID'];

////////////////////////////////////////////////////////////////////////////////

$ctx = stream_context_create();
stream_context_set_option($ctx, 'ssl', 'local_cert', 'krukchatpushcert.pem');
stream_context_set_option($ctx, 'ssl', 'passphrase', $passphrase);

// Open a connection to the APNS server
$fp = stream_socket_client(
	'ssl://gateway.push.apple.com:2195', $err,
	$errstr, 60, STREAM_CLIENT_CONNECT|STREAM_CLIENT_PERSISTENT, $ctx);

if (!$fp)
	exit("Failed to connect: $err $errstr" . PHP_EOL);

echo 'Connected to APNS' . PHP_EOL;

// Create the payload body
$body = array(
		'aps' => array(
			'badge' => (int)$_POST['badge'],
			'alert' => $message,
			'sound' => $sound
			),
		'sessionID'=>$sessionID,
		'notificationID'=>$notificationID
	);
	
	

// Encode the payload as JSON
$payload = json_encode($body);

// Build the binary notification
$msg = chr(0) . pack('n', 32) . pack('H*', $deviceToken) . pack('n', strlen($payload)) . $payload;

// Send it to the server
$result = fwrite($fp, $msg, strlen($msg));

if (!$result)
	echo 'Message not delivered' . PHP_EOL;
else
	echo 'Message successfully delivered' . PHP_EOL;

// Close the connection to the server
fclose($fp);
?>