<?
/*
Plugin Name: Kruk Chat For Wordpress
Plugin URI: http://www.krukchat.com
Description: Kruk chat is the simplest way to provide your wordpress visitor a "live chat support" and manage it via mobile app. The iphone App is available in the App Store https://itunes.apple.com/us/app/kruk-chat/id646106302?ls=1&mt=8
Version: 1.3
Author: kruk8989
Author URI: http://codecanyon.net/user/kruk8989
*/

add_action('init', 'kruk_chat_admin_init');
add_action('template_redirect', 'krukchat_template_redirect', 1);

register_activation_hook(__FILE__, 'krukChatActivate');
function kruk_chat_admin_init() {
if (!session_id())
session_start();
}


function krukchat_include_template($t) {
    global $wp_query;
    if ($wp_query->is_404) {
        $wp_query->is_404 = false;
        $wp_query->is_archive = true;
    }
    header("HTTP/1.1 200 OK");
    include($t);
}

 	function krukchat_template_redirect() {
        
		$plugin_dir = dirname(__FILE__);
        if($_GET['krukchat']=="heartbeat")
		{
			
			krukchat_include_template($plugin_dir."/jsonheartbeat.php");
			die();
		}
		else if($_GET['krukchat']=="postmethod")
		{
			
			krukchat_include_template($plugin_dir."/postmethod.php");
			die();
		}
		else if($_GET['krukchat']=="mobilelogin")
		{
			
			krukchat_include_template($plugin_dir."/mobilelogin.php");
			die();
		}
		else if($_GET['krukchat']=="otherTab")
		{
			
			krukchat_include_template($plugin_dir."/otherTab.php");
			die();
		}
		else if($_GET['krukchat']=="adminajax")
		{
			
			krukchat_include_template($plugin_dir."/adminajax.php");
			die();
		}
		else if($_GET['krukchat']=="continue_chat")
		{
			
			krukchat_include_template($plugin_dir."/continue_chat.php");
			die();
		}
		else if($_GET['krukchat']=="css_file")
		{
			
			krukchat_include_template($plugin_dir."/css/colorpicker.php");
			die();
		}
		else if($_GET['krukchat']=="kruk_chat_css")
		{
			
			krukchat_include_template($plugin_dir."/css/krukchatcss.php");
			die();
		}
		
		
       

 


	}
	
	function krukChatActivate() {
	global $wpdb;
	
	create_kruk_table();
	registerKrukColorSetting();
	}
	
	
	function create_kruk_table()
	{
	global $wpdb;
	
	$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."kruk_mobile_chat_session` (
  `no` bigint(20) NOT NULL AUTO_INCREMENT,
  `sessionID` text NOT NULL,
  `name` text CHARACTER SET utf8 NOT NULL,
  `email` text CHARACTER SET utf8 NOT NULL,
  `question` text CHARACTER SET utf8 NOT NULL,
  `unixtime` bigint(20) NOT NULL,
  `expired` int(11) NOT NULL,
  `handledBy` int(11) NOT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `lastupdated` bigint(20) NOT NULL,
  `statusupdate` int(11) NOT NULL,
  PRIMARY KEY (`no`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;");


$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."kruk_mobile_chat` (
  `no` bigint(20) NOT NULL AUTO_INCREMENT,
  `sessionID` text NOT NULL,
  `msg` text CHARACTER SET utf8 NOT NULL,
  `userindicator` int(11) NOT NULL DEFAULT '0',
  `unixtime` bigint(20) NOT NULL,
  `admin_read` int(11) NOT NULL DEFAULT '0',
  `admin_reply` int(11) NOT NULL,
  `type` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`no`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;");

	
	$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."kruk_admin_allowed` (
  `no` bigint(20) NOT NULL AUTO_INCREMENT,
  `adminID` text NOT NULL,
  `administrator` bigint(20) NOT NULL,
  `apple_device_id` text NOT NULL,
  `apple_token_id` text NOT NULL,
  `first_time` bigint(20) NOT NULL,
  `lastseenon` bigint(20) NOT NULL,
  `online` bigint(20) NOT NULL DEFAULT '0',
  `android_device_id` text NOT NULL,
  `android_device_token` text NOT NULL,
  `android_first_time` int(11) NOT NULL,
  PRIMARY KEY (`no`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;");


$wpdb->query("CREATE TABLE IF NOT EXISTS `".$wpdb->prefix."kruk_mobile_admin_notification` (
  `no` bigint(20) NOT NULL AUTO_INCREMENT,
  `sessionID` text NOT NULL,
  `adminID` bigint(20) NOT NULL,
  `noti_title` text CHARACTER SET utf8 NOT NULL,
  `notification` text CHARACTER SET utf8 NOT NULL,
  `read_user_ind` bigint(20) NOT NULL,
  `unixtime` int(11) NOT NULL,
  PRIMARY KEY (`no`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=0 ;");


register_setting('krukchatcurrentAdmin', '');
update_option("krukchatcurrentAdmin",1);

register_setting('krukchatSuccessfullAddAmin', '');
if(countAllAdmin() == 0)
{
update_option("krukchatSuccessfullAddAmin",0);
}
else
{
	update_option("krukchatSuccessfullAddAmin",1);
}

	}


function countAllAdmin(){
		global $wpdb;
		
		$qry = "SELECT * FROM ".$wpdb->prefix."kruk_admin_allowed WHERE first_time = '1'";
		$getResult = $wpdb->get_results($qry);
		
		
		$count = 0;
		foreach ( $getResult as $result ) 
		{	
		
		$count++;
		}
		
		return $count;
		
	}


function KrukMobileUserChatContent() {

	
	require"kruk-user-chat3.php";
}



add_action( 'wp_enqueue_scripts', 'krukchatjsinject' );

function krukchatjsinject() {
	session_start();
	
	
	
	$chatBoxHeader = get_option("chatBoxHeader");
	$chatTitleTextBoxColor = get_option("chatTitleTextBoxColor");
	$chatBoxBorder = get_option("chatBoxBorder");
	$chatBoxBackground = get_option("chatBoxBackground");
	$headingTextColor = get_option("headingTextColor");
	$labelTextColor = get_option("labelTextColor");
	$startBtnBackground = get_option("startBtnBackground");
	$startBtnTextColor = get_option("startBtnTextColor");
	$chatBoxBlinkingColor = get_option("chatBoxBlinkingColor");
	
	$textBoxColorChatBox = get_option("textBoxColorChatBox");
	$textBoxTextColorChatBox = get_option("textBoxTextColorChatBox");
	
	
	$userNameTextColor = get_option("userNameTextColor");
	$userMsgTextColor = get_option("userMsgTextColor");
	$userTimeTextColor = get_option("userTimeTextColor");
	
	$adminNameTextColor = get_option("adminNameTextColor");
	$adminMsgTextColor = get_option("adminMsgTextColor");
	$adminTimeTextColor = get_option("adminTimeTextColor");
	
	$msgSeperatorColor = get_option("msgSeperatorColor");
	
	$chatBoxPositionAlign = get_option("chatBoxPositionAlign");
	
	$chatBoxPosition = get_option("chatBoxPosition");
	$chatBoxWidth = get_option("chatBoxWidth");
	$chatBoxHeight = get_option("chatBoxHeight");
	
	$replyBoxWidth = get_option("replyBoxWidth");
	
	$startChatButtonWidth = get_option("startChatButtonWidth");
	
	$startChatButtonPosition = get_option("startChatButtonPosition");
	
	
	$chatBoxHeaderTitle = get_option("chatBoxHeaderTitle");
	
	$chatBoxHeadingTitle = get_option("chatBoxHeadingTitle");
	$chatBoxChatName = get_option("chatBoxChatName");
	$chatBoxChatEmail = get_option("chatBoxChatEmail");
	$chatBoxChatMainQuestion = get_option("chatBoxChatMainQuestion");
	$chatBoxChatStartBtnTitle = get_option("chatBoxChatStartBtnTitle");
	
	$errorChatName = get_option("errorChatName");
	$errorEmail = get_option("errorEmail");
	$errorInvalidEmail = get_option("errorInvalidEmail");
	$errorMainQuestion = get_option("errorMainQuestion");
	
	
	
	$chatBoxHeaderTitleOffline = get_option("chatBoxHeaderTitleOffline");
	
	$chatBoxHeadingTitleOffline = get_option("chatBoxHeadingTitleOffline");
	$chatBoxChatNameOffline = get_option("chatBoxChatNameOffline");
	$chatBoxChatEmailOffline = get_option("chatBoxChatEmailOffline");
	$chatBoxChatMainQuestionOffline = get_option("chatBoxChatMainQuestionOffline");
	$chatBoxChatStartBtnTitleOffline = get_option("chatBoxChatStartBtnTitleOffline");
	
	$errorChatNameOffline = get_option("errorChatNameOffline");
	$errorEmailOffline = get_option("errorEmailOffline");
	$errorInvalidEmailOffline = get_option("errorInvalidEmailOffline");
	$errorMainQuestionOffline = get_option("errorMainQuestionOffline");
	
	$errorMainQuestionOffline = get_option("errorMainQuestionOffline");
	
	$sentSuccessfulOffline = get_option("sentSuccessfulOffline");
	
	
	
	$krukchatBlinkingTitleLabel = get_option("krukchatBlinkingTitleLabel");
	
	$krukchatOrientation = get_option("krukchatOrientation");
	
	$krukChatjustNowLabel = get_option("krukChatjustNowLabel");
	
	wp_register_style( 'krukchat-style',''.get_site_url().'/?krukchat=kruk_chat_css');
        wp_enqueue_style( 'krukchat-style' );
	
    wp_enqueue_script( 'jquery' );
	wp_register_script('jquery-scroll-to-min', plugins_url( 'js/jquery.scrollTo-min.js' , __FILE__ ),true);
    wp_enqueue_script( 'jquery-scroll-to-min' );
	
	
	
	wp_enqueue_script('krukchatjsscript', plugin_dir_url( __FILE__ ) . 'js/krukchat.js',true);
	wp_localize_script('krukchatjsscript', 'krukchatjsscript_vars', array(
			'blogURL' => get_site_url(),
			'blogInfoName' => get_bloginfo(),
			'krukchatBlinkingTitleLabel' => $krukchatBlinkingTitleLabel,
			'alertNameOffline' => $errorChatNameOffline,
			'alertEmailOffline' => $errorEmailOffline,
			'alertEmailUnvalidOffline' => $errorInvalidEmailOffline,
			'alertQuestionOffline' => $errorMainQuestionOffline,
			'alertName' => $errorChatName,
			'alertEmail' => $errorEmail,
			'alertEmailUnvalid' => $errorInvalidEmail,
			'alertQuestion' => $errorMainQuestion,
			'sentEmailSuccessfulMessage' => $sentSuccessfulOffline,
			'krukchatorientation' => $krukchatOrientation,
			'kruksessioncollapse' => $_SESSION['kruksessioncollapse'],
			'userNameTextColor' => $userNameTextColor,
			'userMsgTextColor' => $userMsgTextColor,
			'userTimeTextColor' => $userTimeTextColor,
			'msgSeperatorColor' => $msgSeperatorColor,
			'adminNameTextColor' => $adminNameTextColor,
			'adminMsgTextColor' => $adminMsgTextColor,
			'adminTimeTextColor' => $adminTimeTextColor,
			'chatBoxBlinkingColor' => $chatBoxBlinkingColor,
			'chatBoxHeader' => $chatBoxHeader,
			'chatBoxBorder' => $chatBoxBorder,
			'krukChatjustNowLabel' => $krukChatjustNowLabel,
			'chatBoxHeight' => $chatBoxHeight+32
		)
	);
}


add_action('wp_footer', 'KrukMobileUserChatContent');

add_action('admin_menu', 'createMenuKrukChat');


function createMenuKrukChat()
{
	
	 add_menu_page('KrukChat', 'KrukChat', 'administrator', 'KrukChatDashboard', KrukChatDashboard);
	  add_submenu_page('KrukChatDashboard', 'Chat History', 'Chat History', 'administrator', 'historykrukchat', historykrukchat);
	
}

function historykrukchat()
{
    require "chat_history.php";
    
}


function KrukChatDashboard()
{
    require "krukchatdashboard.php";
    
}

function registerKrukColorSetting() {
	
	
	//register KrukChat Appearcnce settings
	register_setting( 'chatBoxHeader', '' );
	register_setting( 'chatTitleTextBoxColor', '' );
	register_setting( 'chatBoxBorder', '' );
	register_setting( 'chatBoxBackground', '' );
	register_setting( 'headingTextColor', '' );
	register_setting( 'labelTextColor', '' );
	register_setting( 'startBtnBackground', '' );
	register_setting( 'startBtnTextColor', '' );
	register_setting( 'chatBoxBlinkingColor', '' );
	
	register_setting( 'textBoxColorChatBox', '' );
	register_setting( 'textBoxTextColorChatBox', '' );
	
	update_option("chatBoxHeader","00bfff");  
	update_option("chatTitleTextBoxColor","ffffff"); 
	update_option("chatBoxBorder","00bfff"); 
	update_option("chatBoxBackground","ffffff");
	update_option("headingTextColor","616161");
	update_option("labelTextColor","616161");
	update_option("startBtnBackground","00bfff");
	update_option("startBtnTextColor","ffffff");
	update_option("chatBoxBlinkingColor","a80000");
	
	update_option("textBoxColorChatBox","ffffff");
	update_option("textBoxTextColorChatBox","000000");
	
	
	
	
	
	
	register_setting( 'userNameTextColor', '' );
	register_setting( 'userMsgTextColor', '' );
	register_setting( 'userTimeTextColor', '' );
	register_setting( 'adminNameTextColor', '' );
	register_setting( 'adminMsgTextColor', '' );
	
	register_setting( 'adminTimeTextColor', '' );
	register_setting( 'msgSeperatorColor', '' );
	
	update_option("userNameTextColor","696969"); 
	update_option("userMsgTextColor","7a7a7a");
	update_option("userTimeTextColor","7a7a7a");
	
	update_option("adminNameTextColor","00bfff");
	update_option("adminMsgTextColor","7a7a7a");
	update_option("adminTimeTextColor","7a7a7a");
	
	update_option("msgSeperatorColor","d1d1d1");
	
	
	register_setting( 'chatBoxPositionAlign', '' );
	update_option("chatBoxPositionAlign","right");
	
	register_setting( 'chatBoxPosition', '' );
	update_option("chatBoxPosition","20");
	
	
	register_setting( 'chatBoxWidth', '' );
	update_option("chatBoxWidth","300");
	
	register_setting( 'chatBoxHeight', '' );
	update_option("chatBoxHeight","400");
	
	register_setting( 'replyBoxWidth', '' );
	update_option("replyBoxWidth","270");
	
	register_setting( 'startChatButtonWidth', '' );
	update_option("startChatButtonWidth","200");
	
	register_setting( 'startChatButtonPosition', '' );
	update_option("startChatButtonPosition","center");
	
	
	
	  register_setting( 'chatBoxHeadingTitle', '' );
	update_option("chatBoxHeadingTitle","Hey, we'd love hearing from you. Please fill the form below");
	
	register_setting( 'chatBoxHeaderTitle', '' );
	update_option("chatBoxHeaderTitle","Chat With Us");
	
	register_setting( 'chatBoxChatName', '' );
	update_option("chatBoxChatName","Chat Name");
	
	register_setting( 'chatBoxChatEmail', '' );
	update_option("chatBoxChatEmail","Email");
	
	register_setting( 'chatBoxChatMainQuestion', '' );
	update_option("chatBoxChatMainQuestion","Main Question");
	
	register_setting( 'chatBoxChatStartBtnTitle', '' );
	update_option("chatBoxChatStartBtnTitle","Start Chat");
	
	
	
	register_setting( 'errorChatName', '' );
	update_option("errorChatName","Please enter your chat name");
	
	register_setting( 'errorEmail', '' );
	update_option("errorEmail","Please enter your email");
	
	register_setting( 'errorInvalidEmail', '' );
	update_option("errorInvalidEmail","Your email is not valid. Please enter your valid email.");
	
	register_setting( 'errorMainQuestion', '' );
	update_option("errorMainQuestion","Please write your question");
	
	
	
	
	
	//Offline body
	register_setting( 'chatBoxHeadingTitleOffline', '' );
	update_option("chatBoxHeadingTitleOffline","Hey, we're not around, but you can send us a message");
	
	register_setting( 'chatBoxHeaderTitleOffline', '' );
	update_option("chatBoxHeaderTitleOffline","Contact us");
	
	register_setting( 'chatBoxChatNameOffline', '' );
	update_option("chatBoxChatNameOffline","Your Name");
	
	register_setting( 'chatBoxChatEmailOffline', '' );
	update_option("chatBoxChatEmailOffline","Your Email");
	
	register_setting( 'chatBoxChatMainQuestionOffline', '' );
	update_option("chatBoxChatMainQuestionOffline","Your Question");
	
	register_setting( 'chatBoxChatStartBtnTitleOffline', '' );
	update_option("chatBoxChatStartBtnTitleOffline","Submit");
	
	
	
	register_setting( 'errorChatNameOffline', '' );
	update_option("errorChatNameOffline","Please enter your name");
	
	register_setting( 'errorEmailOffline', '' );
	update_option("errorEmailOffline","Please enter your email");
	
	register_setting( 'errorInvalidEmailOffline', '' );
	update_option("errorInvalidEmailOffline","Your email is not valid. Please enter your valid email.");
	
	register_setting( 'errorMainQuestionOffline', '' );
	update_option("errorMainQuestionOffline","Please write your question");
	
	register_setting( 'sentSuccessfulOffline', '' );
	update_option("sentSuccessfulOffline","Sent. Thank you, we will get back to you");
	
	//......................................................
	
	
	register_setting( 'krukChatjustNowLabel', '' );
	update_option("krukChatjustNowLabel","Just Now");
	
	register_setting( 'krukChatYearLabel', '' );
	update_option("krukChatYearLabel","year");
	
	register_setting( 'krukChatMonthLabel', '' );
	update_option("krukChatMonthLabel","month");
	
	register_setting( 'krukChatDayLabel', '' );
	update_option("krukChatDayLabel","day");
	
	register_setting( 'krukChatHourLabel', '' );
	update_option("krukChatHourLabel","hour");
	
	register_setting( 'krukChatMinuteLabel', '' );
	update_option("krukChatMinuteLabel","minute");
	
	register_setting( 'krukChatSecLabel', '' );
	update_option("krukChatSecLabel","second");
	
	register_setting( 'krukChatAgoPluralLabel', '' );
	update_option("krukChatAgoPluralLabel","s ago");
	
	register_setting( 'krukChatAgoSingularLabel', '' );
	update_option("krukChatAgoSingularLabel"," ago");
	
	
	register_setting( 'adminSupportNameLabel', '' );
	update_option("adminSupportNameLabel","Support");
	
	register_setting( 'krukchatBlinkingTitleLabel', '' );
	update_option("krukchatBlinkingTitleLabel"," New Message...");
	
	
	register_setting( 'krukchatOrientation', '' );
	update_option("krukchatOrientation","lefttoright");
	
	
	register_setting( 'krukchatBlinkingTitleLabel', '' );
	update_option("krukchatBlinkingTitleLabel"," New Message...");
	
	
	
	
	register_setting( 'krukchatNewTicketTitleLabel', '' );
	update_option("krukchatNewTicketTitleLabel","New Ticket");
	
	register_setting( 'krukchatReplyTitleLabel', '' );
	update_option("krukchatReplyTitleLabel","Replied");
	
	
	
	register_setting( 'krukchatpushnotificationlink', '' );
	
	$admin_email = get_option('admin_email');
	
	register_setting( 'krukchatOfflineEmail', '' );
	update_option("krukchatOfflineEmail",$admin_email);
	
	register_setting( 'krukchatNoReplyEmail', '' );
	update_option("krukchatNoReplyEmail",$admin_email);
	
}





?>